# Makefile.in generated automatically by automake 1.5 from Makefile.am.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

@SET_MAKE@

SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include
pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@
top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
INSTALL_HEADER = $(INSTALL_DATA)
transform = @program_transform_name@
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = @host_alias@
host_triplet = @host@
target_alias = @target_alias@
target_triplet = @target@
AMTAR = @AMTAR@
AS = @AS@
AWK = @AWK@
BUILDDATE = @BUILDDATE@
BUILD_DIR = @BUILD_DIR@
CC = @CC@
CXX = @CXX@
DEPDIR = @DEPDIR@
DLLTOOL = @DLLTOOL@
DYNAGRAPH_SUBDIRS = @DYNAGRAPH_SUBDIRS@
ECHO = @ECHO@
EXEEXT = @EXEEXT@
EXPAT_CONFIG = @EXPAT_CONFIG@
EXPAT_INCLUDES = @EXPAT_INCLUDES@
EXPAT_LIBS = @EXPAT_LIBS@
FREETYPE_CONFIG = @FREETYPE_CONFIG@
FT_INCLUDES = @FT_INCLUDES@
FT_LIBS = @FT_LIBS@
HAVE_LIB = @HAVE_LIB@
ICONV_INCLUDES = @ICONV_INCLUDES@
ICONV_LIBS = @ICONV_LIBS@
INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
JPEG_INCLUDES = @JPEG_INCLUDES@
JPEG_LIBS = @JPEG_LIBS@
KSH = @KSH@
LEX = @LEX@
LIB = @LIB@
LIBICONV = @LIBICONV@
LIBPNG_CONFIG = @LIBPNG_CONFIG@
LIBTOOL = @LIBTOOL@
LN_S = @LN_S@
LTLIB = @LTLIB@
LTLIBICONV = @LTLIBICONV@
OBJDUMP = @OBJDUMP@
OBJEXT = @OBJEXT@
PACKAGE = @PACKAGE@
PNG_INCLUDES = @PNG_INCLUDES@
PNG_LIBS = @PNG_LIBS@
RANLIB = @RANLIB@
SED = @SED@
SOCKET_LIBS = @SOCKET_LIBS@
SORT = @SORT@
STRIP = @STRIP@
TCLINT_INCLUDES = @TCLINT_INCLUDES@
TCLSH = @TCLSH@
TCLSH_EXEC_PREFIX = @TCLSH_EXEC_PREFIX@
TCL_BUILD_LIB_SPEC = @TCL_BUILD_LIB_SPEC@
TCL_BUILD_STUB_LIB_PATH = @TCL_BUILD_STUB_LIB_PATH@
TCL_BUILD_STUB_LIB_SPEC = @TCL_BUILD_STUB_LIB_SPEC@
TCL_CC = @TCL_CC@
TCL_CFLAGS = @TCL_CFLAGS@
TCL_CFLAGS_DEBUG = @TCL_CFLAGS_DEBUG@
TCL_CFLAGS_OPTIMIZE = @TCL_CFLAGS_OPTIMIZE@
TCL_COMPAT_OBJS = @TCL_COMPAT_OBJS@
TCL_CXX = @TCL_CXX@
TCL_CXXFLAGS = @TCL_CXXFLAGS@
TCL_DBGX = @TCL_DBGX@
TCL_DEFS = @TCL_DEFS@
TCL_DL_LIBS = @TCL_DL_LIBS@
TCL_EXEC_PREFIX = @TCL_EXEC_PREFIX@
TCL_EXPORT_FILE_SUFFIX = @TCL_EXPORT_FILE_SUFFIX@
TCL_EXTRA_CFLAGS = @TCL_EXTRA_CFLAGS@
TCL_INCLUDES = @TCL_INCLUDES@
TCL_LD_FLAGS = @TCL_LD_FLAGS@
TCL_LD_SEARCH_FLAGS = @TCL_LD_SEARCH_FLAGS@
TCL_LIBS = @TCL_LIBS@
TCL_LIB_FILE = @TCL_LIB_FILE@
TCL_LIB_FLAG = @TCL_LIB_FLAG@
TCL_LIB_SPEC = @TCL_LIB_SPEC@
TCL_LIB_VERSIONS_OK = @TCL_LIB_VERSIONS_OK@
TCL_MAJOR_VERSION = @TCL_MAJOR_VERSION@
TCL_MINOR_VERSION = @TCL_MINOR_VERSION@
TCL_NEEDS_EXP_FILE = @TCL_NEEDS_EXP_FILE@
TCL_PACKAGE_PATH = @TCL_PACKAGE_PATH@
TCL_PATCH_LEVEL = @TCL_PATCH_LEVEL@
TCL_PKGINDEX = @TCL_PKGINDEX@
TCL_PREFIX = @TCL_PREFIX@
TCL_RANLIB = @TCL_RANLIB@
TCL_SHARED_BUILD = @TCL_SHARED_BUILD@
TCL_SHARED_LIB_SUFFIX = @TCL_SHARED_LIB_SUFFIX@
TCL_SHLIB_CFLAGS = @TCL_SHLIB_CFLAGS@
TCL_SHLIB_CXXFLAGS = @TCL_SHLIB_CXXFLAGS@
TCL_SHLIB_LD = @TCL_SHLIB_LD@
TCL_SHLIB_LD_LIBS = @TCL_SHLIB_LD_LIBS@
TCL_SHLIB_SUFFIX = @TCL_SHLIB_SUFFIX@
TCL_SRC_DIR = @TCL_SRC_DIR@
TCL_STUB_LIB_FILE = @TCL_STUB_LIB_FILE@
TCL_STUB_LIB_FLAG = @TCL_STUB_LIB_FLAG@
TCL_STUB_LIB_PATH = @TCL_STUB_LIB_PATH@
TCL_STUB_LIB_SPEC = @TCL_STUB_LIB_SPEC@
TCL_SUBDIRS = @TCL_SUBDIRS@
TCL_SUPPORTS_STUBS = @TCL_SUPPORTS_STUBS@
TCL_UNSHARED_LIB_SUFFIX = @TCL_UNSHARED_LIB_SUFFIX@
TCL_VERSION = @TCL_VERSION@
TKINT_INCLUDES = @TKINT_INCLUDES@
TK_BUILD_LIB_SPEC = @TK_BUILD_LIB_SPEC@
TK_BUILD_STUB_LIB_PATH = @TK_BUILD_STUB_LIB_PATH@
TK_BUILD_STUB_LIB_SPEC = @TK_BUILD_STUB_LIB_SPEC@
TK_CFLAGS = @TK_CFLAGS@
TK_DEFS = @TK_DEFS@
TK_EXEC_PREFIX = @TK_EXEC_PREFIX@
TK_INCLUDES = @TK_INCLUDES@
TK_LIBS = @TK_LIBS@
TK_LIB_FILE = @TK_LIB_FILE@
TK_LIB_SPEC = @TK_LIB_SPEC@
TK_MAJOR_VERSION = @TK_MAJOR_VERSION@
TK_MINOR_VERSION = @TK_MINOR_VERSION@
TK_PATCH_LEVEL = @TK_PATCH_LEVEL@
TK_PKGINDEX = @TK_PKGINDEX@
TK_PREFIX = @TK_PREFIX@
TK_SHARED_BUILD = @TK_SHARED_BUILD@
TK_SRC_DIR = @TK_SRC_DIR@
TK_STUB_LIB_FILE = @TK_STUB_LIB_FILE@
TK_STUB_LIB_FLAG = @TK_STUB_LIB_FLAG@
TK_STUB_LIB_PATH = @TK_STUB_LIB_PATH@
TK_STUB_LIB_SPEC = @TK_STUB_LIB_SPEC@
TK_SUBDIRS = @TK_SUBDIRS@
TK_SUPPORTS_STUBS = @TK_SUPPORTS_STUBS@
TK_VERSION = @TK_VERSION@
TK_XINCLUDES = @TK_XINCLUDES@
TK_XLIBSW = @TK_XLIBSW@
TOP_DIR = @TOP_DIR@
VERSION = @VERSION@
WISH = @WISH@
XAW_INCLUDES = @XAW_INCLUDES@
XAW_LIBS = @XAW_LIBS@
XPM_INCLUDES = @XPM_INCLUDES@
XPM_LIBS = @XPM_LIBS@
X_CFLAGS = @X_CFLAGS@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_LIBS = @X_LIBS@
X_PRE_LIBS = @X_PRE_LIBS@
X_SUBDIRS = @X_SUBDIRS@
YACC = @YACC@
Z_INCLUDES = @Z_INCLUDES@
Z_LIBS = @Z_LIBS@
am__include = @am__include@
am__quote = @am__quote@
install_sh = @install_sh@

AUTOMAKE_OPTIONS = 1.4

GRAPHS = ER.dot ngk10_4.dot process.dot Heawood.dot Petersen.dot

graphdir = $(datadir)/@PACKAGE@/graphs
undirecteddir = $(graphdir)/undirected
undirected_DATA = $(GRAPHS)
EXTRA_DIST = $(GRAPHS) CVS/*

CLEANFILES = core *.canon *.cmap *.dia *.fig *.gd *.gd2 *.gif *.hpgl *.ismap *.imap *.jpg *.mif *.mp *.pcl *.pic *.plain *.plain-ext *.png *.ps *.ps2 *.svg *.wbmp *vrml *.vtx *.xdot .xvpics/*
subdir = graphs/undirected
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
DIST_SOURCES =
DATA = $(undirected_DATA)

DIST_COMMON = Makefile.am Makefile.in
all: all-am

.SUFFIXES:

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
$(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  graphs/undirected/Makefile
Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && \
	  CONFIG_HEADERS= CONFIG_LINKS= \
	  CONFIG_FILES=$(subdir)/$@ $(SHELL) ./config.status
uninstall-info-am:
install-undirectedDATA: $(undirected_DATA)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(undirecteddir)
	@list='$(undirected_DATA)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(INSTALL_DATA) $$d$$p $(DESTDIR)$(undirecteddir)/$$f"; \
	  $(INSTALL_DATA) $$d$$p $(DESTDIR)$(undirecteddir)/$$f; \
	done

uninstall-undirectedDATA:
	@$(NORMAL_UNINSTALL)
	@list='$(undirected_DATA)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(undirecteddir)/$$f"; \
	  rm -f $(DESTDIR)$(undirecteddir)/$$f; \
	done
tags: TAGS
TAGS:


DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ../..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/CVS
	@for file in $(DISTFILES); do \
	  if test -f $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    $(mkinstalldirs) "$(distdir)/$$dir"; \
	  fi; \
	  if test -d $$d/$$file; then \
	    cp -pR $$d/$$file $(distdir) \
	    || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(DATA)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(undirecteddir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES) stamp-h stamp-h[0-9]*

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-undirectedDATA

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-undirectedDATA

.PHONY: all all-am check check-am clean clean-generic clean-libtool \
	distclean distclean-generic distclean-libtool distdir dvi \
	dvi-am info info-am install install-am install-data \
	install-data-am install-exec install-exec-am install-info \
	install-info-am install-man install-strip \
	install-undirectedDATA installcheck installcheck-am installdirs \
	maintainer-clean maintainer-clean-generic mostlyclean \
	mostlyclean-generic mostlyclean-libtool uninstall uninstall-am \
	uninstall-info-am uninstall-undirectedDATA


test:
	for i in $(GRAPHS); do \
		echo "neato $$i" ; \
		$(top_srcdir)/dotneato/neato \
			-Tcanon -o$$i.canon \
			-Tcmap -o$$i.cmap \
			-Tdia -o$$i.dia \
			-Tfig -o$$i.fig \
			-Tgd -o$$i.gd \
			-Tgd2 -o$$i.gd2 \
			-Tgif -o$$i.gif \
			-Thpgl -o$$i.hpgl \
			-Tismap -o$$i.ismap \
			-Timap -o$$i.imap \
			-Tjpg -o$$i.jpg \
			-Tmif -o$$i.mif \
			-Tmp -o$$i.mp \
			-Tpcl -o$$i.pcl \
			-Tpic -o$$i.pic \
			-Tplain -o$$i.plain \
			-Tplain-ext -o$$i.plain-ext \
			-Tpng -o$$i.png \
			-Tps -o$$i.ps \
			-Tps2 -o$$i.ps2 \
			-Tsvg -o$$i.svg \
			-Twbmp -o$$i.wbmp \
			-Tvrml -o$$i.vrml \
			-Tvtx -o$$i.vtx \
			-Txdot -o$$i.xdot \
				$$i ; \
	done
# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
